Summary: 	Yerase's TNEF Stream Reader
Name: 		ytnef
Version: 	2.1.2
Release:    1%{?dist}
License: 	GPLv2+
URL: 		https://github.com/Yeraze/ytnef
Source0: 	https://github.com/Yeraze/ytnef/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         ytnef-pkgconfig.patch
BuildRequires: make
BuildRequires:  autoconf automake libtool
BuildRequires: 	perl-generators
Requires: 	libytnef = %{version}-%{release}

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%package -n 	libytnef
Summary:        TNEF Stream Reader Library

%description -n	libytnef
TNEF Stream Parser Library, used by "ytnef" to decode TNEF (winmail.dat)
streams generated by Microsoft Outlook.

%package -n	libytnef-devel
Summary:        Development files for libytnef
Requires:       libytnef = %{version}-%{release}

%description -n libytnef-devel
The libytnef-devel package contains libraries and header files for
developing applications that use libytnef.

%prep
%setup -q
./autogen.sh
%patch 0 -p1

%build
%configure --disable-static
V=1 %{__make} %{?_smp_mflags}

%install
%{__make}  install DESTDIR=%{buildroot} includedir=%{_includedir}/libytnef
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc README.md ChangeLog ytnef/README.ytnefprocess
%{_bindir}/*

%files -n libytnef
%license COPYING
%doc lib/doc/recurrence.txt
%{_libdir}/*.so.*

%files -n libytnef-devel
%{_includedir}/libytnef/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libytnef.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-1
- initial build
